Main menu:

Sponsoring

Please consider a small donation:

 

 

Or you can donate bitcoin:

 

Thanks to TekLinks in Birmingham, AL, for providing colocation and bandwidth.

Page Rank

Fame

FOSS Force Best Blog--2013 Award

Recent posts

Recent comments

About this blog

I am Eric Hameleers, and this is where I think out loud.
More about me.

Search

Subscribe to Blog via Email

Enter your email address to subscribe to this blog and receive notifications of new posts by email.

Join 425 other subscribers

My Favourites

Slackware

Calendar

April 2019
M T W T F S S
« Mar    
1234567
891011121314
15161718192021
22232425262728
2930  

RSS Alien's Slackware packages

RSS Alien's unofficial KDE Slackware packages

RSS Alien's multilib packages

RSS Slackware64-current

RSS SBo

Meta

March Flash updates

adobe_flash_8s600x600_2 New Flash security bulletin from Adobe: apsb15-05.

Available for immediate download as a Slackware package are the plugin for chromium (PPAPI) as well as the plugin for mozilla-compatible browsers (NPAPI). If you have pipelight installed, you should run “pipelight-plugin –update” as root to get the latest MS Windows-based Flash installed automatically the next time the browser loads the pipelight plugin.

The updated Slackware package for chromium-pepperflash-plugin has version 17.0.0.134. The updated flashplayer-plugin has version 11.2.202.451.

Download them here (probably mirrored elsewhere too, but these I at least know about):

Eric

Comments

Comment from gauchao
Posted: March 12, 2015 at 22:35

Thank you Eric!

Comment from Mike Langdon (mlangdn)
Posted: March 13, 2015 at 03:10

Thanks Eric 🙂

Comment from lems
Posted: March 13, 2015 at 11:47

Hello,

thanks for the updates, though I can’t seem to get pipelight flash to work. Ran pipelight-plugin –update as root and even tried with a new firefox profile. No luck. Using 11.2 for now. Would like to get rid of flash completely, but some sites require it, and even require flash higher than 11.2. Sigh.

lems

Comment from Eduardo
Posted: March 13, 2015 at 13:49

Thank you Eric!

Comment from alienbob
Posted: March 14, 2015 at 13:04

lems, it looks like the pipelight developers have not updated their dependencies script since 26 Feb. That is why running “pipelight –update” does not bring anything new.

Comment from shinji
Posted: March 14, 2015 at 22:32

Hello Eric,
the new flashplugin “source” archive includes a LGPL directory.
Your slackbuild doesn’t handle it, so it ends being installed in the
/ directory, which obviously isn’t its place.
I think it should be installed alongside documentation.

The fix is trivial, here’s a small patch for your slackbuild:

—————————————————————————————–

— flashplayer-plugin.SlackBuild.orig 2015-03-14 19:07:54.296321664
+0100
+++ flashplayer-plugin.SlackBuild 2015-03-14 19:10:49.275936222
+0100
@@ -152,7 +152,7 @@
PRGNAM=flashplayer-plugin
VERSION=${VERSION:-“11.2.202.451”}
MAJVER=$(echo $VERSION | cut -d. -f1)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-“alien”}

# Where do we look for sources?
@@ -291,6 +291,7 @@
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION/ || true
+mv LGPL $PKG/usr/doc/$PRGNAM-$VERSION/ || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM–$VERSION/$PRGNAM.S
lackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;

—————————————————————————————–

As always, thanks for all your hard work!

Comment from alienbob
Posted: March 15, 2015 at 12:48

Hi shinji,

Good catch!
My “checkpkg” script did not yet check for files in the root directory which do not belong there.
I added that feature to the script (http://www.slackware.com/~alien/tools/checkpkg) and I am now rebuilding the repository with an updated flashplayer-plugin package.

Comment from lems
Posted: March 16, 2015 at 13:03

It seems the pipelight-script has now been updated. I had to remove pluginreg.dat after pipelight was initialized (creating the ~/.wine-pipelight directory and downloading the flash plugin). I run my firefox browser as different user, and still have no luck enabling it here, but it worked when I ran it as my user.

Comment from Alexandre R. Vianna
Posted: March 17, 2015 at 03:23

Hi,
This is my first time with Alien’s help.

I tried Flash.
It worked, but there is a message:
Shokwave Flash is known to be vulnerable and should be updated!

What is wrong?
Tks!

Comment from Alexandre R. Vianna
Posted: March 17, 2015 at 03:24

P.S.: I am runnig it in Firefox 26.1!

Comment from alienbob
Posted: March 18, 2015 at 11:22

Alexandre –

What Flash? The Linux version or the Windows version which you use together with Pipelight?

Comment from Alexandre R. Vianna
Posted: March 19, 2015 at 04:23

Thank you, Bob.
I will try to install pipelight – linux version.

Comment from Alexandre R. Vianna
Posted: April 15, 2015 at 03:12

Hi!

Flash … 457 is released!

Write a comment